<?php
/**
 * @package Pinterest Shortcode
 */
 /*
 Plugin Name: Pinterest Shortcode
 Plugin URI: http://www.hasoptimization.com/plugins/pinterest-shortcode
 Description: This plugin simply enables an easy shortcode on WordPress to keep your embedded pins from disappearing. Simply add [pin] and [/pin] surrounding your Pin's URL. You can change the size of the embedded pin by adding width=small, width=medium, or width=large, but it will default to large. Here is an example: [pin width=small]URL[/pin]
 Version: 1.0.1
 Author: Aimee Cozza
 Author URI: http://www.aimeecozza.com
 License: GPLv2 or later
 Text Domain: pinterest-shortcode
 */
 
defined ( 'ABSPATH' ) or die( 'Unable to access this file.' );

class Pinterest_Shortcode {

	function __construct() {

		add_action( 'wp_footer', array($this, 'insert_pin_embed' ), 100 );
		add_action( 'after_setup_theme', array( $this, 'register_pinterest_shortcode') );
	}

	function insert_pin_embed(){
	echo '<script async defer src="//assets.pinterest.com/js/pinit.js"></script>';
	}
	
	public function register_pinterest_shortcode(){
		add_shortcode( 'pin', function( $atts, $content ){
			$atts = shortcode_atts( array(
		'width' => 'large',
		'no_description' => 'false',
		), $atts );
			return '<a data-pin-do="embedPin" data-pin-width="' . $atts['width'] . '" href="'.$content.'" data-pin-terse="' . $atts['no_description'] . '"></a>';
		return $content;
		});
	}
}

$pinterest_shortcode = new Pinterest_Shortcode();
